Attribute VB_Name = "modFileExists"
Option Explicit

'Die SHFileExists Funktion ist eine undokumentierte Funktion!
'Sie gibt ungleich Null zurck, wenn der szPfad ein gltiger
'absoluter UNC Pfad ist. Sie akzeptiert Datei-, Ordner- oder
'Netzwerkpfadangaben. Sie gibt wahr zurck fr einen relativen
'Pfad, der im aktuellen Verzeichnis existiert.

Private Declare Function SHFileExists Lib "shell32" Alias _
"#45" (ByVal szPath As String) As Long

Private Declare Function GetVersionEx Lib "kernel32" Alias _
"GetVersionExA" (ByRef lpVersionInformation As OSVERSIONINFO) As Long

Private Type OSVERSIONINFO
    dwOSVersionInfoSize As Long
    dwMajorVersion As Long
    dwMinorVersion As Long
    dwBuildNumber As Long
    dwPlatformId As Long
    szCSDVersion As String * 128
End Type

Private Const VER_PLATFORM_WIN32_NT = 2

Public Function IsFileExists(ByRef FileName As String) As Boolean
    If IsWinNT Then
        FileName = StrConv(FileName, vbUnicode)
    End If
    IsFileExists = SHFileExists(FileName)
End Function

Public Function IsWinNT() As Boolean
    'Detect if the program is running under Windows NT
    Dim myOS As OSVERSIONINFO
    myOS.dwOSVersionInfoSize = Len(myOS)
    GetVersionEx myOS
    IsWinNT = (myOS.dwPlatformId = VER_PLATFORM_WIN32_NT)
End Function


